Bug 23663 - Itemtype summary feature in search results is only used in deprecated opac results non-xslt view
Summary: Itemtype summary feature in search results is only used in deprecated opac re...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Martin Renvoize
URL:
Keywords: Manual
Depends on:
Blocks:
 
Reported: 2019-09-21 11:33 UTC by Nick Clemens
Modified: 2019-11-01 11:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23663: Only process itemtype summary if using non-xslt opac results (1.67 KB, patch)
2019-09-21 11:39 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23663: Only process itemtype summary if using non-xslt opac results (1.72 KB, patch)
2019-09-24 05:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23663: Only process itemtype summary if using non-xslt opac results (1.79 KB, patch)
2019-10-29 11:22 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-09-21 11:33:10 UTC
There is a stanza in searchResults that was commented as being unused - it appears to still be used in one scenario.

If we don't wish to remove the non-xslt view for opac results at this time we can at least prevent some processing
Comment 1 Nick Clemens 2019-09-21 11:39:10 UTC
Created attachment 93085 [details] [review]
Bug 23663: Only process itemtype summary if using non-xslt opac results

To test:
1 - Set OpacXSLTResultsDisplay to "" to use non-xslt view
2 - In Administration->Itemtypes define a summary for an itemtype:
    This is the summary for [245a]
3 - Perform a search on the opac that will return results with this itemtype
4 - Note "This is the summary" appears in results with the title
5 - Set OPACXSLTResultsDisplay to 'default'
6 - Refresh your search results, note the summary disappears
7 - Try search in other places and note that summary never appears
8 - Apply patch
9 - Repeat 1-7 and note nothing changed
Comment 2 Katrin Fischer 2019-09-24 05:31:37 UTC
Note: you also need to have an itemtype on record level. And there are some display issues witht he feature, it will print out line breaks (filters suspected):
 The Thirty Years War :<br/>
Comment 3 Katrin Fischer 2019-09-24 05:32:12 UTC
Created attachment 93135 [details] [review]
Bug 23663: Only process itemtype summary if using non-xslt opac results

To test:
1 - Set OpacXSLTResultsDisplay to "" to use non-xslt view
2 - In Administration->Itemtypes define a summary for an itemtype:
    This is the summary for [245a]
3 - Perform a search on the opac that will return results with this itemtype
4 - Note "This is the summary" appears in results with the title
5 - Set OPACXSLTResultsDisplay to 'default'
6 - Refresh your search results, note the summary disappears
7 - Try search in other places and note that summary never appears
8 - Apply patch
9 - Repeat 1-7 and note nothing changed

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2019-10-14 12:56:08 UTC
What about removing the code?
Comment 5 Nick Clemens 2019-10-15 12:52:38 UTC
(In reply to Jonathan Druart from comment #4)
> What about removing the code?

I think that can be done, but separately, here we just don't process it unnecessarily

The feature is a little bit interesting, and could be used in the future, but I think removal is its own bug
Comment 6 Martin Renvoize 2019-10-29 11:22:34 UTC
Created attachment 94827 [details] [review]
Bug 23663: Only process itemtype summary if using non-xslt opac results

To test:
1 - Set OpacXSLTResultsDisplay to "" to use non-xslt view
2 - In Administration->Itemtypes define a summary for an itemtype:
    This is the summary for [245a]
3 - Perform a search on the opac that will return results with this itemtype
4 - Note "This is the summary" appears in results with the title
5 - Set OPACXSLTResultsDisplay to 'default'
6 - Refresh your search results, note the summary disappears
7 - Try search in other places and note that summary never appears
8 - Apply patch
9 - Repeat 1-7 and note nothing changed

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-10-29 11:23:21 UTC
Good sleuthing there Nick,

Patch works as expected.. and I agree it would be nice to remove the code block entirely, but in a new bug.

Passing QA
Comment 8 Martin Renvoize 2019-10-29 12:17:04 UTC
Nice work!

Pushed to master for 19.11.00